GET /v2/catalog/search
Summary: Search catalogs for assets
Operation ID: searchCatalog
Auth: unknown
Operation ID: searchCatalog
Auth: unknown
Description
This endpoint searches for assets in the account's catalog. If you specify more than one search parameter, the API uses an AND condition. Array parameters can be specified multiple times; in this case, the API uses an AND or an OR condition with those values, depending on the parameter. You can also filter search terms out in the `query` parameter by prefixing the term with NOT.
Parameters (6)
asset_type
(array, query, optional)
Filter by asset type
collection_id
(array, query, optional)
Filter by collection id
page
(integer, query, optional, default: 1)
Page number
Constraints: {'minimum': 1}
per_page
(integer, query, optional, default: 20)
Number of results per page
Constraints: {'minimum': 0, 'maximum': 500}
query
(string, query, optional)
One or more search terms separated by spaces
sort
(string, query, optional, default: newest)
Sort by
Constraints: {'enum': ['newest', 'oldest']}
No probe data for this endpoint yet.